| Disk ARchive 2.7.18 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libdar::criterium Class Referenceabstract
API

the generic criterium class, parent of all criterium More...

`#include <criterium.hpp>`

Inherited by libdar::crit_and, libdar::crit_in_place_EA_more_recent, libdar::crit_in_place_EA_more_recent_or_equal_to, libdar::crit_in_place_EA_present, libdar::crit_in_place_EA_saved, libdar::crit_in_place_data_bigger, libdar::crit_in_place_data_dirty, libdar::crit_in_place_data_more_recent, libdar::crit_in_place_data_more_recent_or_equal_to, libdar::crit_in_place_data_saved, libdar::crit_in_place_data_sparse, libdar::crit_in_place_has_delta_sig, libdar::crit_in_place_is_dir, libdar::crit_in_place_is_file, libdar::crit_in_place_is_hardlinked_inode, libdar::crit_in_place_is_inode, libdar::crit_in_place_is_new_hardlinked_inode, libdar::crit_in_place_more_EA, libdar::crit_not, libdar::crit_same_inode_data, and libdar::crit_same_type.

## Public Member Functions
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const =0
| criterum interface method
virtual criterium * | clone () const =0
| clone construction method

## Detailed Description

the generic criterium class, parent of all criterium

this is a pure virtual class that is used in API call it is used to federate under a single type all the criterium classes defined below. It defines a common interface for all of them.

Definition at line 51 of file criterium.hpp.

## Constructor & Destructor Documentation

## ◆ criterium()

libdar::criterium::criterium | ( |  | ) |
| inline

Definition at line 54 of file criterium.hpp.

## ◆ ~criterium()

virtual libdar::criterium::~criterium | ( |  | ) |
| inline virtual

Definition at line 59 of file criterium.hpp.

## Member Function Documentation

## ◆ clone()

virtual criterium * libdar::criterium::clone | ( |  | ) | const
| pure virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implemented in libdar::crit_and, libdar::crit_in_place_data_bigger, libdar::crit_in_place_data_dirty, libdar::crit_in_place_data_more_recent, libdar::crit_in_place_data_more_recent_or_equal_to, libdar::crit_in_place_data_saved, libdar::crit_in_place_data_sparse, libdar::crit_in_place_EA_bigger, libdar::crit_in_place_EA_more_recent, libdar::crit_in_place_EA_more_recent_or_equal_to, libdar::crit_in_place_EA_present, libdar::crit_in_place_EA_saved, libdar::crit_in_place_has_delta_sig, libdar::crit_in_place_is_dir, libdar::crit_in_place_is_file, libdar::crit_in_place_is_hardlinked_inode, libdar::crit_in_place_is_inode, libdar::crit_in_place_is_new_hardlinked_inode, libdar::crit_in_place_more_EA, libdar::crit_not, libdar::crit_same_inode_data, and libdar::crit_same_type.

## ◆ evaluate()

virtual bool libdar::criterium::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const
| pure virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implemented in libdar::crit_and, libdar::crit_in_place_data_bigger, libdar::crit_in_place_data_dirty, libdar::crit_in_place_data_more_recent, libdar::crit_in_place_data_more_recent_or_equal_to, libdar::crit_in_place_data_saved, libdar::crit_in_place_data_sparse, libdar::crit_in_place_EA_bigger, libdar::crit_in_place_EA_more_recent, libdar::crit_in_place_EA_more_recent_or_equal_to, libdar::crit_in_place_EA_present, libdar::crit_in_place_EA_saved, libdar::crit_in_place_has_delta_sig, libdar::crit_in_place_is_dir, libdar::crit_in_place_is_file, libdar::crit_in_place_is_hardlinked_inode, libdar::crit_in_place_is_inode, libdar::crit_in_place_is_new_hardlinked_inode, libdar::crit_in_place_more_EA, libdar::crit_not, libdar::crit_same_inode_data, and libdar::crit_same_type.

Referenced by libdar::crit_not::evaluate(), and libdar::testing::get_action().

The documentation for this class was generated from the following file:

- criterium.hpp